abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
eParkomat, startup z ČR, postoupil mezi finalisty evropského akcelerátoru ChallengeUp!
Robot na pivo mu otevřel dveře k opravdovému byznysu
Internet věcí: Propojený svět? Už se to blíží...
včera 21:21 | Nová verze Ladislav Hagara | Komentářů: 0
včera 11:44 | Zajímavý projekt

Na Indiegogo byla spuštěna kampaň na podporu herní mini konzole a multimediálního centra RetroEngine Sigma od Doyodo. Předobjednat ji lze již od 49 dolarů. Požadovaná částka 20 000 dolarů byla překonána již 6 krát. Majitelé mini konzole si budou moci zahrát hry pro Atari VCS 2600, Sega Genesis nebo NES. Předinstalováno bude multimediální centrum Kodi.

Ladislav Hagara | Komentářů: 0
včera 00:10 | Nová verze

Byla vydána verze 4.7 redakčního systému WordPress. Kódové označením Vaughan bylo vybráno na počest americké jazzové zpěvačky Sarah "Sassy" Vaughan. Z novinek lze zmínit například novou výchozí šablonu Twenty Seventeen, náhledy pdf souborů nebo WordPress REST API.

Ladislav Hagara | Komentářů: 4
6.12. 12:00 | Zajímavý projekt

Projekt Termbox umožňuje vyzkoušet si linuxové distribuce Ubuntu, Debian, Fedora, CentOS a Arch Linux ve webovém prohlížeči. Řešení je postaveno na projektu HyperContainer. Podrobnosti v často kladených dotazech (FAQ). Zdrojové kódy jsou k dispozici na GitHubu [reddit].

Ladislav Hagara | Komentářů: 26
6.12. 11:00 | Bezpečnostní upozornění

Byly zveřejněny informace o bezpečnostní chybě CVE-2016-8655 v Linuxu zneužitelné k lokální eskalaci práv. Chyba se dostala do linuxového jádra v srpnu 2011. V upstreamu byla opravena minulý týden [Hacker News].

Ladislav Hagara | Komentářů: 2
5.12. 22:00 | Komunita

Přibližně před měsícem bylo oznámeno, že linuxová distribuce SUSE Linux Enterprise Server (SLES) běží nově také Raspberry Pi 3 (dokumentace). Obraz verze 12 SP2 pro Raspberry Pi 3 je ke stažení zdarma. Pro registrované jsou po dobu jednoho roku zdarma také aktualizace. Dnes bylo oznámeno, že pro Raspberry Pi 3 je k dispozici také nové openSUSE Leap 42.2 (zprávička). K dispozici je hned několik obrazů.

Ladislav Hagara | Komentářů: 6
5.12. 06:00 | Zajímavý software

OMG! Ubuntu! představuje emulátor terminálu Hyper (GitHub) postavený na webových technologiích (HTML, CSS a JavaScript). V diskusi k článku je zmíněn podobný emulátor terminálu Black Screen. Hyper i Black Screen používají framework Electron, stejně jako editor Atom nebo vývojové prostředí Visual Studio Code.

Ladislav Hagara | Komentářů: 50
5.12. 06:00 | Zajímavý článek

I letos vychází řada ajťáckých adventních kalendářů. QEMU Advent Calendar 2016 přináší každý den nový obraz disku pro QEMU. Programátoři se mohou potrápit při řešení úloh z kalendáře Advent of Code 2016. Kalendáře Perl Advent Calendar 2016 a Perl 6 Advent Calendar přinášejí každý den zajímavé informace o programovacím jazyce Perl. Stranou nezůstává ani programovací jazyk Go.

Ladislav Hagara | Komentářů: 10
3.12. 16:24 | Nová verze

Byla vydána Mageia 5.1. Jedná se o první opravné vydání verze 5, jež vyšla v červnu loňského roku (zprávička). Uživatelům verze 5 nepřináší opravné vydání nic nového, samozřejmě pokud pravidelně aktualizují. Vydání obsahuje všechny aktualizace za posledního téměř půldruhého roku. Mageia 5.1 obsahuje LibreOffice 4.4.7, Linux 4.4.32, KDE4 4.14.5 nebo GNOME 3.14.3.

Ladislav Hagara | Komentářů: 17
3.12. 13:42 | Pozvánky

V Praze probíhá konference Internet a Technologie 16.2, volné pokračování jarní konference sdružení CZ.NIC. Konferenci lze sledovat online na YouTube. K dispozici je také archiv předchozích konferencí.

Ladislav Hagara | Komentářů: 0
Kolik máte dat ve svém domovském adresáři na svém primárním osobním počítači?
 (32%)
 (24%)
 (29%)
 (7%)
 (5%)
 (3%)
Celkem 789 hlasů
 Komentářů: 50, poslední 29.11. 15:50
Rozcestník
Reklama

Dotaz: Instalace ze source problém

8.5.2005 07:50 Venousekh
Instalace ze source problém
Přečteno: 159×
Zdravím. S LInuxem začínám a potýkám se s problémem.Jde mi nainstalovat aplikace jen z RPM balíku. Jakmile se jedná o source tar.bz2 tak se mně podaří rozbalit , podaří se příkaz ./configure ale při pokusu o zadání make se vždy objeví No targets specified and no makefile found. Stop. A to i přesto že v daném adresáři vždy Makefile je. Dělá to u jakéhokoliv takového balíku . Používám SuSe 9.2 a instalaci se pokouším dělat v Konzoli superuživatele.

Dík za radu

Odpovědi

8.5.2005 07:59 unchallenger | skóre: 69 | blog: unchallenger
Rozbalit Rozbalit vše Re: Instalace ze source problém
1. Nekompiluj jako root. Jako root spouštěj jen make install.

2. Když ./configure nevytvořil Makefile, tak skončil s nějakou chybou. Křišťálová koule mi neprozradila s jakou...
8.5.2005 08:08 pavelsefranek | skóre: 23 | blog: -
Rozbalit Rozbalit vše Re: Instalace ze source problém
Pokud se ti nepodařilo zkompilovat zatím žádný program, může to být tím, že nemáš v systému nainstalovaný žádný překladač, což je u základní instalace SUSE běžné. Jestli to náhodou háže hlášku no acceptable C compiler, tak si přečti tento thread.
8.5.2005 08:30 Venousekh
Rozbalit Rozbalit vše Re: Instalace ze source problém
No jo sakra práce :-))

Úplně jsem zapoměl že jsem dal při instalaci SuSe neinstalovat překladač :-)

Díky . Make už funguje. Zkoušel jsem ale nainstalovat asi 3 programy , při zadání make se provedl výpis jak prase ale v každém druhém řádku byl nějaký error . Takže jsem zase nic nenainstaloval :-(

Tady je příklad toho co to vypisuje při instalaci KHealthcare:
khspinbox.h:22:22: qspinbox.h: No such file or directory
In file included from khspinbox.cpp:20:
khspinbox.h:28: error: syntax error before `{' token
khspinbox.h:31: error: destructors must be member functions
khspinbox.h:33: error: syntax error before `)' token
khspinbox.h:36: error: syntax error before `}' token
khspinbox.cpp:22: error: type specifier omitted for parameter `QWidget'
khspinbox.cpp:22: error: syntax error before `*' token
khspinbox.cpp:23: error: invalid use of undefined type `class KHSpinBox'
khspinbox.h:28: error: forward declaration of `class KHSpinBox'
khspinbox.cpp: In constructor `KHSpinBox::KHSpinBox(...)':
khspinbox.cpp:23: error: class `KHSpinBox' does not have any field named `
   QSpinBox'
khspinbox.cpp:23: error: `minValue' undeclared (first use this function)
khspinbox.cpp:23: error: (Each undeclared identifier is reported only once for
   each function it appears in.)
khspinbox.cpp:23: error: `maxValue' undeclared (first use this function)
khspinbox.cpp:23: error: `step' undeclared (first use this function)
khspinbox.cpp:23: error: `parent' undeclared (first use this function)
khspinbox.cpp:23: error: `name' undeclared (first use this function)
khspinbox.cpp: At global scope:
khspinbox.cpp:27: error: invalid use of undefined type `class KHSpinBox'
khspinbox.h:28: error: forward declaration of `class KHSpinBox'
khspinbox.cpp:30: error: syntax error before `::' token
khspinbox.cpp:36: error: invalid use of undefined type `class KHSpinBox'
khspinbox.h:28: error: forward declaration of `class KHSpinBox'
khspinbox.cpp: In member function `int KHSpinBox::mapTextToValue(bool*)':
khspinbox.cpp:37: error: `text' undeclared (first use this function)
khspinbox.cpp:36: warning: unused parameter `bool*ok'
make[1]: *** [khspinbox.o] Error 1
make[1]: Leaving directory `/home/Venousekh/khealthcare-0.82/khealthcare'
make: *** [install-recursive] Error 1
linux:/home/Venousekh/khealthcare-0.82 # 1
wake avatar 8.5.2005 08:39 wake | skóre: 30 | blog: wake | Praha
Rozbalit Rozbalit vše Re: Instalace ze source problém
a vyvojove balicky (napr. qt-devel ci neco podobneho) ?
Tento příspěvek má hlavičku i patičku!
8.5.2005 08:58 Venousekh
Rozbalit Rozbalit vše Re: Instalace ze source problém
Nerozumím ...
8.5.2005 10:15 pavelsefranek | skóre: 23 | blog: -
Rozbalit Rozbalit vše Re: Instalace ze source problém
Když chceš kompilovat nějaký program například ABC, tak k němu potřebuješ i hlavičkové soubory, aby se dal zkompilovat. Ty jsou nejčastěji umístěné v balíku ABC-devel (nebo tak nějak, mělo by tam být to -devel).
Samozřejmě za ABC si dosaď jméno jakéhokoli programu
Marián Kyral avatar 8.5.2005 10:21 Marián Kyral | skóre: 29 | blog: Sem_Tam | Frýdek-Místek
Rozbalit Rozbalit vše Re: Instalace ze source problém
khspinbox.h:22:22: qspinbox.h: No such file or directory
Soubor qspinbox.h je takzvaný hlavičkový soubor. V těch jsou hlavičky všech funkcí, které jsou dostupné v knihovnách. Standartně se neinstalují, ale pro překlad je potřebujete. Jsou v balíčcích jméno_knihovny-devel. Například qt-devel, gtk-devel.
8.5.2005 10:29 Venousekh
Rozbalit Rozbalit vše Re: Instalace ze source problém
Hm .. to je hezké. Na stránce programu KHealthcare se ale žádné devel balíčky nevyskytují. Pouze ten source . :-(
8.5.2005 10:37 Radomír Fojtík | skóre: 33 | blog: jen to zkouším | Tísek
Rozbalit Rozbalit vše Re: Instalace ze source problém
Ty devel balicky by mely byt soucasti distribuce. Podivejte se v Yastu pokud ho pouzivate.

Jinak divam se na ten page KHealthcare a vidim:
07.03.2001: version 0.82 has been released

Tohle nezni moc privetive. :-(
8.5.2005 12:24 Michal Kubeček
Rozbalit Rozbalit vše Re: Instalace ze source problém
Tady nejde o hlavičkové soubory k tomu kompilovanému programu, ale o hlavičkové soubry ke knihovnám, které používá. Pokud tomu nepoznáte, které by to mohly být, nejjednodušší bude, když v YaSTu (modul správce programů) v menu Extra použijete volbu Nainstalovat související -devel balíčky.
9.5.2005 22:25 Venousekh
Rozbalit Rozbalit vše Re: Instalace ze source problém
No já nevím. To jsem udělal , ale stejně se provede jen příkaz configure a make už hazí chyby. Např. teď jsem instaloval program na správu disků QTParted . Configure na konci výpisu nahlásil toto:
checking for long long... yes
checking size of long long... 8
checking for uuid_generate in -luuid... no
configure: error: *** uuid library (libuuid) not found
No a make vypsal jen že nemůže najít makefile. Ale ten v adresáři je :-(
9.5.2005 22:38 Zdeněk Burda | skóre: 61 | blog: Zdendův blog | Praha
Rozbalit Rozbalit vše Re: Instalace ze source problém
1) Čemu nerozumíš na hlášce configure: error: *** uuid library (libuuid) not found?

2) Pokud neproběhne configure skript korektně, tak se nevytvoří Makefile.
-- Nezdar není hanbou, hanbou je strach z pokusu.
10.5.2005 19:16 Venousekh
Rozbalit Rozbalit vše Re: Instalace ze source problém
OK ... už jsem pochopil že tyhle hlášky při configure znamenaj chybějící balíky. Postupně jsem je pomocí google našel a nainstaloval . Až když jsem narazil na následující hlášku :

checking for X... configure: error: Can't find X includes. Please check your installation and add the correct paths!

Tady jsem jaksi neměl co do Google zadat. Teda mohl , ale vyjely by maximálně pornostránky :-)
10.5.2005 19:19 Michal Kubeček
Rozbalit Rozbalit vše Re: Instalace ze source problém
To bude nejspíš balíček xorg-x11-devel nebo tak nějak.
Stanislav Brabec avatar 11.5.2005 14:11 Stanislav Brabec | skóre: 45 | Praha
Rozbalit Rozbalit vše Re: Instalace ze source problém
Doporučuji spíš zaškrtnout výběry balíčků (Vývoj KDE/GNOME, C/C++ kompilátor, příp. i Pokročilý uživatel). Sice to nainstaluje víc, než potřebujete, ale ušetříte si spoustu práce s dohledáváním chybějících balíčků. Často ještě něco chybí, ale to se často dá odhadnout.

Například: Chybí knihovna libuuid.

locate libuuid

Pokud najde (musí být nainstalovaný):

rpm -qf /lib/libuuid.so.1 vrátí e2fsprogs-9.3-7

Takže vývojový balíček je skoro jistě e2fsprogs-devel.

Pokud nic nenajde:

Zkuste hledat v YaSTu (zaškrtnete volbu Poskytuje, k nalezení knihovně nainstalujete i -devel balík). Zkuste odhadnout jméno balíčku podle knihovny, Googlu.
1.7.2005 10:39 eliasv
Rozbalit Rozbalit vše Re: Instalace ze source problém
Mám stejný problém, při
./configure
se na konci výpisu objeví hláška
checking for X... configure: error: Can't find X includes.
Please check your installation and add the correct paths!
Zkusil jsem tedy nainstalovat zmiňovaný balíček libxorg-x11-devel ale Rpmdrake mi vypsal: Baliček nelze vybrat z důvodu nesplněného devel(libz). Nevíte, kde může bát chyba, popř. co mi chybí? Děkuji.
1.7.2005 11:07 Pinky | skóre: 30
Rozbalit Rozbalit vše Re: Instalace ze source problém
no asi balíček libz-devel, vždyť ti to píše, nějak jsem přehlídl co používěš za distro ale nebylo by od věci zaškrtnout kolonku kde se říká nainstalovat balíčky pro vývoj.
1.7.2005 16:01 eliasv
Rozbalit Rozbalit vše Re: Instalace ze source problém
Díky, ten libz už jsem nainstaloval, ale zase mě to nechce pustit kvůli chybějícímu devel(libfreetype) :-( A to už jsem opravdu nenašel... dal jsem i zaškrtnout instalaci všech balíčků pro vývoj, ale vždycky to některé nechce nainstalovat. Mám Mandrake 10.1.
1.7.2005 16:10 ivok
Rozbalit Rozbalit vše Re: Instalace ze source problém
Když máte Mandrake, použijte urpmi
1.7.2005 16:14 eliasv
Rozbalit Rozbalit vše Re: Instalace ze source problém
Můžete mi prosím napsat jak? Děkuji.
9.9.2005 13:40 Michal
Rozbalit Rozbalit vše Re: Instalace ze source problém
Vyserte se na to a kupte si Windows. :-) Tam se s knihovnama netrapim od 95tek. Kruci, to uz je 10let... :-). Burani, kdyz chci neco delat s pocitacem, tak ne hledat knihovny. bud chci pracovat, anebo hrat si. Nevim co ma kdo proti windowsum az na Billa. Ja toho mamrda taky nesnasim (proto mam crack :-)), ale jedno mu musim priznat. XPcka me neotravujou s takovyma hovadinama jako vas Man-draci a behaj stabilne minimalne rok :-). No dobre neni to moc, ale od ceho jsou data na D-cku, ze jo? :D
David Watzke avatar 9.9.2005 17:07 David Watzke | skóre: 74 | blog: Blog... | Praha
Rozbalit Rozbalit vše Re: Instalace ze source problém
To je přístup :-(
“Being honest may not get you a lot of friends but it’ll always get you the right ones” ―John Lennon
Luboš Doležel (Doli) avatar 9.9.2005 17:33 Luboš Doležel (Doli) | skóre: 98 | blog: Doliho blog | Kladensko
Rozbalit Rozbalit vše Re: Instalace ze source problém
To není přístup, to je blbec ;-)

Windowsáku: a co výkon, spolehlivost a stabilita. Tobě to stabilní možná přijde, protože neděláš (a někdy ani nemůžeš) věci, jako je např. výměna graf. ovladače za běhu apod. a jiné pokročilé záležitosti.

Každý program ve Windows si nasype svoje knihovny do svého adresáře - tím je to jednodušší pro tebe, ale tenhle přístup žere víc RAM a proto na svém systému dostáhnu vyššího výkonu než ty.
9.9.2005 17:43 Michal Vyskočil | skóre: 60 | blog: miblog | Praha
Rozbalit Rozbalit vše Re: Instalace ze source problém
Nebo hůř, do adresáře Windows. Imho 90% softwaru se ručně kompilovat nemusí (nepoužívá-li Slackware, pokud ano, asi ví, proč) a je to zcela v režii balíčkovacího systému.
When your hammer is C++, everything begins to look like a thumb.
9.9.2005 17:33 podlesh | skóre: 37 | Praha
Rozbalit Rozbalit vše Re: Instalace ze source problém
No, tak zrovna Windows 95 a 98 dokazaly s knihovnami hodne potrapit. Takzvaný DLL hell.

To bylo zhruba v době, kdy jsem vykopnul redhata odkud to slo a prestal tyto problemy řešit :-)

Skutečně ale nechápu, jak mohou jestě dnes být problémy se závislostmi (možná něco exotického, ale libz-devel????). Vždyť přeci dnes mají i RPM-based distribuce správu balíčků vyřešenou. To nějaký debil vymyslel, že klikací nástroje nepoužívají urmpi? Velmi zajímavá interpretace pojmu "user-friendly".
9.5.2005 22:52 Michal Marek (twofish) | skóre: 55 | blog: { display: blog; } | Praha
Rozbalit Rozbalit vše Re: Instalace ze source problém
libuuid najdeš v balíčku e2fsprogs-devel (jinak google: suse+libuuid).
11.5.2005 00:52 Vojta
Rozbalit Rozbalit vše Re: Instalace ze source problém
Ja jsem mel taky Suse 9.1 Personal, ale nakonec jsem ho musel nahradit, protoze instalece cehokoli ze zdroje byly peklo...

Založit nové vláknoNahoru

Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

ISSN 1214-1267   www.czech-server.cz
© 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.